std::filesystem::file_status Class Reference
Filesystem

`#include <filesystem>`

## Public Member Functions

| file_status (const file_status &) noexcept=default
| file_status (file_status &&) noexcept=default
| file_status (file_type __ft, perms __prms=perms::unknown) noexcept
file_status & | operator= (const file_status &) noexcept=default
file_status & | operator= (file_status &&) noexcept=default
perms | permissions () const noexcept
void | permissions (perms __prms) noexcept
file_type | type () const noexcept
void | type (file_type __ft) noexcept

## Friends

bool | operator== (const file_status &, const file_status &) noexcept=default

## Detailed Description

Information about a file's type and permissions.

Since
  C++17

Definition at line 59 of file bits/fs_dir.h.

## Constructor & Destructor Documentation

## file_status() [1/2]

std::filesystem::file_status::file_status | ( |  | ) |

inline noexcept

Definition at line 63 of file bits/fs_dir.h.

## file_status() [2/2]

std::filesystem::file_status::file_status | ( | file_type | __ft,
|  | perms | __prms = `perms::unknown`
| ) |  |

inline explicit noexcept

Definition at line 66 of file bits/fs_dir.h.

## Member Function Documentation

## permissions() [1/2]

perms std::filesystem::file_status::permissions | ( |  | ) | const

inline noexcept

Definition at line 78 of file bits/fs_dir.h.

## permissions() [2/2]

void std::filesystem::file_status::permissions | ( | perms | __prms | ) |

inline noexcept

Definition at line 82 of file bits/fs_dir.h.

## type() [1/2]

file_type std::filesystem::file_status::type | ( |  | ) | const

inline noexcept

Definition at line 77 of file bits/fs_dir.h.

## type() [2/2]

void std::filesystem::file_status::type | ( | file_type | __ft | ) |

inline noexcept

Definition at line 81 of file bits/fs_dir.h.

The documentation for this class was generated from the following file:

- bits/fs_dir.h